OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



can not install at all

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

can not install at all

Postby phoenixsunny » Tue May 22, 2007 4:42 am

I download the ojs 2.1.1,and extract it.
ans then i followed the install instruction, to open a web browser,and visit http://mydomain/path/ojs/index.php/index/install,but the below message showed.what is the problem? :x
and then i use the command-line way,and create the db,after install,when I see in the browser,"DB Error: Table 'ijcc_ojs.plugin_settings' doesn't exist showed. :(
And i delete the files,and reinstalled ,all the problems still there.
how to uninstall the ojs system?
almost mad :evil:
-----------------------------------------------------
"Warning: Unknown(E:\IJCC_HOST\htdocs\ojs\ojs\index.php\index\install): failed to open stream: No such file or directory in Unknown on line 0

Warning: (null)(): Failed opening 'E:\IJCC_HOST\htdocs\ojs\ojs\index.php\index\install' for inclusion (include_path='.') in Unknown on line 0"
-------------------------------------------------------
os:windows 2000
db:mysql 4.0
php:3.0
iis:6.0
phoenixsunny
 
Posts: 7
Joined: Tue May 22, 2007 4:10 am

Postby asmecher » Tue May 22, 2007 9:35 am

Hi phoenixsunny,

The first problem you were having is due to an IIS/PHP incompatibility; you can work around it by setting the disable_path_info option in config.inc.php to On.

As for the second problem, try commenting out the following line in includes/driver.inc.php:
Code: Select all
PluginRegistry::loadCategory('generic');
Once the install is finished, uncomment that line.

Regards,
Alec Smecher
Public Knowledge Project Team
---
Don't miss the First International PKP Scholarly Publishing Conference
July 11 - 13, 2007, Vancouver, BC, Canada
http://ocs.sfu.ca/pkp2007/
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Postby phoenixsunny » Wed May 23, 2007 2:10 am

thanks for the reply.but this works seems not good.the samw problems remain.
the php version is 4.0,is it ok ?i saw the readme file,and it sad that the min version is >=4.2.is that the reason ?
phoenixsunny
 
Posts: 7
Joined: Tue May 22, 2007 4:10 am

Postby asmecher » Wed May 23, 2007 9:24 am

Hi phoenixsunny,

Ahh, that sounds like the problem. Yes, you'll need to use a newer version of PHP; if I recall correctly, there were also numerous security problems with PHP < 4.1 or 4.2, so it's definitely a good idea to upgrade. The 4.4 line is very solid, if you're not ready to go to 5.x yet.

Regards,
Alec Smecher
Public Knowledge Project Team
---
Don't miss the First International PKP Scholarly Publishing Conference
July 11 - 13, 2007, Vancouver, BC, Canada
http://ocs.sfu.ca/pkp2007/
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: Google [Bot] and 2 guests